﻿using UnityEngine;
using System.Collections;

public class AlienCollider : MonoBehaviour {

	private GameController gc;
	
	void Start () {
		GameObject go = GameObject.Find ("GameController");
		gc = go.GetComponent<GameController>();
	}


	void OnTriggerEnter2D(Collider2D coll) {
		if (coll.gameObject.tag == "Player")
		{
			Debug.Log ("Player Captured an Alien!");
			// normally would destroy, but they sit in that level cleanup list
			// complicated to clean some aliens one way, others another, so just disable it
			renderer.enabled = false;
			collider2D.enabled = false;

			gc.CurrentLevel.AliensCaptured++;
			gc.PlaySound(gc.AlienCaptureSound, 1.0f);
		}
		
	}

}
