﻿using UnityEngine;
using System.Collections;

public class JuiceLifeCycle : MonoBehaviour {

	public float LifeSpan;
	public Vector2 Vector;
	public bool KillAboveWaterLine;
	public bool KillBelowWaterLine;


	private float startTime;

	// Use this for initialization
	void Start () {
		startTime = Time.time;		
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		if( (Time.time - startTime > LifeSpan) ||
		   (KillAboveWaterLine && transform.position.y > 0) ||
		   (KillBelowWaterLine && transform.position.y < 0)   )
		{
			GameObject.Destroy(gameObject);
			return;
		}

		transform.position = transform.position + (Vector3)Vector*Time.fixedDeltaTime;
	}
}
