﻿using UnityEngine;
using System.Collections;

public class TestBoxCollision : MonoBehaviour {

	public bool WinResult;

	private GameController gc;
	
	
	// Use this for initialization
	void Start () {
		GameObject go = GameObject.Find ("GameController");
		gc = go.GetComponent<GameController>();
	}

	
	void OnTriggerEnter2D(Collider2D other) {
		Debug.Log ("OnTriggerEnter for finish line, othe was " + other.gameObject.name);
		if (other.gameObject.tag == "Player")
		{
			gc.CurrentLevel.Over = true;
			gc.CurrentLevel.Victory = WinResult;

			gc.PlaySound (gc.CrossFinishLineSound, 1.0f);
		}
	}

	void OnCollisionEnter2D(Collision2D coll) {
		if (coll.gameObject.tag == "Player")
		{
			gc.CurrentLevel.Over = true;
			gc.CurrentLevel.Victory = WinResult;
		}
		
	}
}
